:root {
    --MAIN-COLOR: #00B4AC;
    --SECONDARY-COLOR: #023C5B;
    --MAIN-BACKGROUND: #003a5d;
    --SECONDARY-BACKGROUND: #f7f7f7;
    --MAIN-BACKGROUND2: #ededed;
    --THIRD-COLOR: #f5b21e;
    --FOURTH-COLOR: #0093c9;
    --FITH-COLOR: #6e6e6e;
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

.swal2-html-container select, .swal2-html-container input {
    padding:7.5px!important;
    border:1px solid silver!important;
    outline:none!important;
    border-radius:5px!important;
    width:70%!important;
    height:50px!important;
}
    .swal2-html-container input::placeholder, .swal2-html-container select {
        color: darkgray!important;
        font-weight:600!important;
        font-size:12px!important;
    }





span.validation-error {
    color: red;
    text-transform: uppercase;
    margin: 3.75px 0px;
    display: block;
    font: 900 9px "VisbyCF-Light";
}
/*tipografias*/
@font-face {
    font-family: "VisbyCF-Regular";
    src: url("../fonts/VisbyCF-Regular.otf");
}

@font-face {
    font-family: "VisbyCF-Light";
    src: url("../fonts/VisbyCF-Light.otf");
}

@font-face {
    font-family: "VisbyCF-Bold";
    src: url("../fonts/VisbyCF-Bold.otf");
}


.section-title {
    color: rgb(0,116,232);
    font: 32px "VisbyCF-Bold";
    text-align: center;
    padding: 7.5px;
}

.alert{
    text-transform:uppercase;
}

thead tr th{
    text-transform:uppercase;
}

label {
    font: 600 14px "VisbyCF-Light";
    text-transform: capitalize;
}

span.validationStyle, span.validation-error {
    color: red;
    text-transform: uppercase;
    font: 700 10px "VisbyCF-Light";
    margin: 7.5px 0px;
}

input:focus,select:focus,textarea:focus{
    box-shadow:none!important;
}



.checkbox-form {
    display: flex;
    position: relative;
    cursor: pointer;
    font-size: 22px;
    user-select: none;
    align-items: center;
}


    .checkbox-form input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

.checkbox {
    position: absolute;
    left: calc((100% - 21px) / 2);
    height: 21px;
    width: 21px;
    background-color: #eee;
}


.checkbox-form:hover input ~ .checkbox {
    background-color: silver;
}

.checkbox-form input:checked ~ .checkbox {
    background-color: rgb(0,116,232);
}

.checkbox:after {
    content: "";
    position: absolute;
    display: none;
}

.checkbox-form input:checked ~ .checkbox:after {
    display: block;
}

.checkbox-form .checkbox:after {
    left: 7px;
    top: 1px;
    width: 7.5px;
    height: 15.5px;
    border: solid #2F328A;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

input[type="checkbox"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    display: inline-block;
    width: 1.35em;
    height: 1.35em;
    display: grid;
    place-content: center;
    background-color: #be136f;
}

    input[type="checkbox"]::before {
        content: "";
        width: calc((1.35em * 69) / 100);
        height: calc((1.35em * 69) / 100);
        clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
        transform: scale(0);
        transform-origin: bottom left;
        transition: 120ms transform ease-in-out;
        background-color: #2F328A;
    }

    input[type="checkbox"]:checked::before {
        transform: scale(1);
    }

    input[type="checkbox"]:checked {
        background-color: rgb(0,116,232);
    }


#vista-impresion {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100vh;
    z-index: 9000;
    background: rgba(0,0,0,0.79);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.75s all ease-in-out;
}

#vista-impresion > div{
    width:256px;
    height:256px;
    overflow:hidden;
}
.cargando-impresion {
    color: var(--MAIN-COLOR);
    display: flex;
    height:100%;
    align-items: center;
    justify-content: center;
}

#vista-impresion iframe {
    height:0px;
}
.fondo,.cargando-impresion {
    background: linear-gradient(90deg, #B1C9FE -43.8%, #FFFFFF 100%);
}

/* Estilos personalizados para SweetAlert2 */
.my-custom-container {
    font-family: "VisbyCF-Light";
}

.my-custom-title {
    color: #3085d6;
}

.my-custom-input {
    border: 2px solid #3085d6;
    border-radius: 4px;
    padding: 0.5em;
}

.my-custom-confirm-button {
    background-color: #2581C4 !important;
    color: #fff;
}

.my-custom-cancel-button {
    background-color: #e73c7e !important;
    color: #fff;
}
